#include <iostream>

using namespace std;

int main()
{
    int n;
    int mod=1e9+7;
    cin>>n;
    char slovaa[n];
    int ponavljanja[26]={0};
    for(int i=0; i<n; i++)
    {
        cin>>slovaa[i];
        if(slovaa[i]=='A'){ponavljanja[0]++; ponavljanja[0]%=mod;}
        else
        {
            ponavljanja[slovaa[i]-'A']+=ponavljanja[slovaa[i]-'A'-1];
            ponavljanja[slovaa[i]-'A']%=mod;
        }
    }

    cout<<ponavljanja[25];
    return 0;
}